#!/usr/bin/perl

open(TCC, ">Makefile.tcc");
select TCC;

print <<"--EOT";
CC = tcc
LD = tlink
LDFLAGS = /c /d /x
AR = tlib
ARFLAGS = /c

--EOT

while(defined(my $ln = <DATA>)) {
    chomp $ln;
    $ln =~ s/\//\\/gso;
    my $src = $ln;
    my $dest = $ln;
    $dest =~ s/\.c$/.obj/iso;

    $tg .= "$dest: $src\n";
    $tg .= "\t\$(CC) +&&|\n";
    $tg .= "-2 -DHX_INT -D_DTCPP -G -V -O -d -f287 -vi- -wamb -wamp -wpro".
     " -wdef -w-rng -wnod -wstv -wuse -Ic:\\tcpp\\include".
     " -Lc:\\tcpp\\lib -o$dest\n";
    $tg .= "| -c $src\n\n";
    push(@objs, $dest);
}

print "all: ", join(" ", @objs), "\n";
print "\tdel libxlg.lib\n";
print "\t\$(AR) libxlg.lib \$(ARFLAGS) \@&&|\n";
print "+$_ \\\n" for @objs;
print "\n|\n\n";
print $tg;

__DATA__
base\base.c
base\filter.c
base\matrix.c
base\pic.c
filters\base_cl.c
filters\base_op.c
filters\cquant.c
filters\dft.c
filters\hist.c
filters\laplace.c
filters\matrix.c
filters\noise.c
filters\resize.c
filters\robert.c
filters\rotate.c
