#~~syntax:makefile

CC = tcc
LD = tlink
LDFLAGS = /c /d /x
AR = tlib
ARFLAGS = /c

all: base\base.obj base\filter.obj base\matrix.obj base\pic.obj filters\base_cl.obj filters\base_op.obj filters\cquant.obj filters\dft.obj filters\hist.obj filters\laplace.obj filters\matrix.obj filters\noise.obj filters\resize.obj filters\robert.obj filters\rotate.obj
	del libxlg.lib
	$(AR) libxlg.lib $(ARFLAGS) @&&|
+base\base.obj \
+base\filter.obj \
+base\matrix.obj \
+base\pic.obj \
+filters\base_cl.obj \
+filters\base_op.obj \
+filters\cquant.obj \
+filters\dft.obj \
+filters\hist.obj \
+filters\laplace.obj \
+filters\matrix.obj \
+filters\noise.obj \
+filters\resize.obj \
+filters\robert.obj \
+filters\rotate.obj \

|

base\base.obj: base\base.c
	$(CC) +&&|
-2 -DHX_INT -D_DTCPP -G -V -O -d -f287 -vi- -wamb -wamp -wpro -wdef -w-rng -wnod -wstv -wuse -Ic:\tcpp\include -Lc:\tcpp\lib -obase\base.obj
| -c base\base.c

base\filter.obj: base\filter.c
	$(CC) +&&|
-2 -DHX_INT -D_DTCPP -G -V -O -d -f287 -vi- -wamb -wamp -wpro -wdef -w-rng -wnod -wstv -wuse -Ic:\tcpp\include -Lc:\tcpp\lib -obase\filter.obj
| -c base\filter.c

base\matrix.obj: base\matrix.c
	$(CC) +&&|
-2 -DHX_INT -D_DTCPP -G -V -O -d -f287 -vi- -wamb -wamp -wpro -wdef -w-rng -wnod -wstv -wuse -Ic:\tcpp\include -Lc:\tcpp\lib -obase\matrix.obj
| -c base\matrix.c

base\pic.obj: base\pic.c
	$(CC) +&&|
-2 -DHX_INT -D_DTCPP -G -V -O -d -f287 -vi- -wamb -wamp -wpro -wdef -w-rng -wnod -wstv -wuse -Ic:\tcpp\include -Lc:\tcpp\lib -obase\pic.obj
| -c base\pic.c

filters\base_cl.obj: filters\base_cl.c
	$(CC) +&&|
-2 -DHX_INT -D_DTCPP -G -V -O -d -f287 -vi- -wamb -wamp -wpro -wdef -w-rng -wnod -wstv -wuse -Ic:\tcpp\include -Lc:\tcpp\lib -ofilters\base_cl.obj
| -c filters\base_cl.c

filters\base_op.obj: filters\base_op.c
	$(CC) +&&|
-2 -DHX_INT -D_DTCPP -G -V -O -d -f287 -vi- -wamb -wamp -wpro -wdef -w-rng -wnod -wstv -wuse -Ic:\tcpp\include -Lc:\tcpp\lib -ofilters\base_op.obj
| -c filters\base_op.c

filters\cquant.obj: filters\cquant.c
	$(CC) +&&|
-2 -DHX_INT -D_DTCPP -G -V -O -d -f287 -vi- -wamb -wamp -wpro -wdef -w-rng -wnod -wstv -wuse -Ic:\tcpp\include -Lc:\tcpp\lib -ofilters\cquant.obj
| -c filters\cquant.c

filters\dft.obj: filters\dft.c
	$(CC) +&&|
-2 -DHX_INT -D_DTCPP -G -V -O -d -f287 -vi- -wamb -wamp -wpro -wdef -w-rng -wnod -wstv -wuse -Ic:\tcpp\include -Lc:\tcpp\lib -ofilters\dft.obj
| -c filters\dft.c

filters\hist.obj: filters\hist.c
	$(CC) +&&|
-2 -DHX_INT -D_DTCPP -G -V -O -d -f287 -vi- -wamb -wamp -wpro -wdef -w-rng -wnod -wstv -wuse -Ic:\tcpp\include -Lc:\tcpp\lib -ofilters\hist.obj
| -c filters\hist.c

filters\laplace.obj: filters\laplace.c
	$(CC) +&&|
-2 -DHX_INT -D_DTCPP -G -V -O -d -f287 -vi- -wamb -wamp -wpro -wdef -w-rng -wnod -wstv -wuse -Ic:\tcpp\include -Lc:\tcpp\lib -ofilters\laplace.obj
| -c filters\laplace.c

filters\matrix.obj: filters\matrix.c
	$(CC) +&&|
-2 -DHX_INT -D_DTCPP -G -V -O -d -f287 -vi- -wamb -wamp -wpro -wdef -w-rng -wnod -wstv -wuse -Ic:\tcpp\include -Lc:\tcpp\lib -ofilters\matrix.obj
| -c filters\matrix.c

filters\noise.obj: filters\noise.c
	$(CC) +&&|
-2 -DHX_INT -D_DTCPP -G -V -O -d -f287 -vi- -wamb -wamp -wpro -wdef -w-rng -wnod -wstv -wuse -Ic:\tcpp\include -Lc:\tcpp\lib -ofilters\noise.obj
| -c filters\noise.c

filters\resize.obj: filters\resize.c
	$(CC) +&&|
-2 -DHX_INT -D_DTCPP -G -V -O -d -f287 -vi- -wamb -wamp -wpro -wdef -w-rng -wnod -wstv -wuse -Ic:\tcpp\include -Lc:\tcpp\lib -ofilters\resize.obj
| -c filters\resize.c

filters\robert.obj: filters\robert.c
	$(CC) +&&|
-2 -DHX_INT -D_DTCPP -G -V -O -d -f287 -vi- -wamb -wamp -wpro -wdef -w-rng -wnod -wstv -wuse -Ic:\tcpp\include -Lc:\tcpp\lib -ofilters\robert.obj
| -c filters\robert.c

filters\rotate.obj: filters\rotate.c
	$(CC) +&&|
-2 -DHX_INT -D_DTCPP -G -V -O -d -f287 -vi- -wamb -wamp -wpro -wdef -w-rng -wnod -wstv -wuse -Ic:\tcpp\include -Lc:\tcpp\lib -ofilters\rotate.obj
| -c filters\rotate.c

