/*=============================================================================
libxlg
filtes/border.c
  Copyright (C) Jan Engelhardt <jengelh [at] linux01 gwdg de>, 2003 - 2004
  -- License restrictions apply (Dual FAL/LGPL2)
  -- For details see doc/FAL.txt and doc/LGPL2.txt.
  $Id: border.c,v 1.5 2004/04/05 19:50:14 hirogen2 Exp $
=============================================================================*/
#include "filters/strap.h"

static XLG_filter fltinfo_blight = {
    name: "blight",
    desc: "Enlighten border",
    proc: xlg_flt_blight,
    proc_gs: NULL,
    show: 1,
};

//-----------------------------------------------------------------------------
int xlg_flt_blight(XLG_pic *ip, XLG_pic **opp, int argc, char **argv) {
    XLG_pic *op;
    int x, y;

    if(argc < 2) {
        fprintf(stderr,
          "BORDER LIGHT FILTER\n"
          "Parameters: {radial|square} DISTX DISTY {border|center}\n"
        );
        return 0;
    }
    
    if((op = *opp = xlg_pic_new(ip->sx, ip->sy)) == NULL) {
        return -errno;
    }
    
    for(y = 0; y < ip->sy; ++y) {
        for(x = 0; x < ip->sx; ++x) {
        }
    }
    return 1;
}

//==[ End of file ]============================================================
